Subject: bug#51796: 29.0.50; gnus-article-describe-key signals (wrong-type-argument listp ..)

From: Filipp Gunbin <[email-masked]>
Date: Mon, 15 Nov 2021 15:16:14 +0300

On 13/11/2021 10:46 +0100, Robert Pluim wrote:

>>>>>> On Sat, 13 Nov 2021 00:42:42 +0300, Filipp Gunbin <[email-masked]> said:
>
>     Filipp> Not sure how to give emacs -Q recipe, because Gnus will read .gnus.el
>     Filipp> even then?
>
> HOME=/tmp emacs -Q

Thanks!

>     Filipp> Anyway, if I:
>     Filipp> - go to any Gnus Article buffer
>     Filipp> - type "C-h k" (gnus-article-describe-key), then type any key, like "g"
>
>     Filipp> I get this error (with debug-on-error turned on):
>
>     Filipp> Debugger entered--Lisp error: (wrong-type-argument listp [103])
>     Filipp>   mapcar(#f(compiled-function (kr) #<bytecode -0x10b5d8d159a06a93>) ("g" . [103]))
>     Filipp>   describe-key(("g" . [103]) #<buffer *Summary nnfolder+mailserver:ml.emacs-devel*>)
>     Filipp>   gnus-article-describe-key("g")
>     Filipp>   funcall-interactively(gnus-article-describe-key "g")
>     Filipp>   call-interactively(gnus-article-describe-key nil nil)
>     Filipp>   command-execute(gnus-article-describe-key)
>
>     Filipp> I tried make bootstrap, it didn't help.
>

I see Lars already fixed this, but FTR, 

> Is your .gnus.el byte-compiled?

No, why would I byte-compile it?

> Is 'gnus-use-byte-compile' t?

Yes, by default.

Filipp